comecerodocs

List an agreement's entitlements

GET
/usage/agreements/{agreement_id}/entitlements

Every entitlement of the agreement, in any status, by drawdown_priority. Secret and trusted tokens may call it; a limited token may not (403).

Authorization

headerAuthorizationBearer <token>

A secret, trusted or limited token. See Authentication.

Path Parameters

agreement_id*string

The agreement id.

Response Body

Success.

application/json
  1. response
data?array<>

The list.

Example Request
curl -X GET 'https://api.comecero.com/api/v1/usage/agreements/string/entitlements'
Example Response
{  "data": [    {      "object": "entitlement_grant",      "entitlement_id": "ent_cust_8412_ai_tokens",      "kind": "metered",      "billing_agreement_id": "agr_cust_8412",      "metric_id": "met_ai_tokens",      "rate_plan_id": "ai_tokens_standard",      "rate_plan_version": 1,      "funding_source_entitlement_id": "credit_cust_8412",      "overage_policy": "allow",      "drawdown_priority": 0,      "capacity": null,      "status": "active",      "effective_from": "2026-11-01T00:00:00Z",      "effective_to": null,      "customer_id": "cust_8412",      "billing_region": "us",      "test": false    }  ]}